# $Revision: 1.57 $, $Date: 2008/11/30 23:59:50 $
# TODO
# - R: perl* should be autogenerated?
#
# Condtional build:
%bcond_with	sybase		# add Sybase support to munin-node
#
%include	/usr/lib/rpm/macros.perl
Summary:	Munin - the Linpro RRD data agent
Summary(pl.UTF-8):	Munin - agent danych RRD Linpro
Name:		munin
Version:	1.3.4
Release:	4
License:	GPL
Group:		Daemons
Source0:	http://dl.sourceforge.net/munin/%{name}_%{version}.tar.gz
# Source0-md5:	e3a58e582407981d4f5c5aed59cbfc47
Source1:	%{name}-node.init
Source2:	%{name}.cron
Source3:	%{name}-apache.conf
Source4:	%{name}.logrotate
Source5:	%{name}-node.logrotate
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-plugins.patch
Patch2:		%{name}-node-config.patch
Patch3:		%{name}-group_order.patch
Patch4:		%{name}-rrdtool-font.patch
URL:		http://munin.sourceforge.net/
BuildRequires:	html2text
BuildRequires:	htmldoc
BuildRequires:	perl-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	%{name}-common = %{version}-%{release}
Requires:	fonts-TTF-bitstream-vera
Requires:	perl-Date-Manip
Requires:	perl-HTML-Template
Requires:	perl-Net-Server
Requires:	rrdtool >= 1.3.0
Conflicts:	logrotate < 3.7-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}
%define		htmldir		/home/services/httpd/html/%{name}

%description
Munin, formerly known as The Linpro RRD server, queries a number of
nodes, and processes the data using RRDtool and presents it on web
pages.

%description -l pl.UTF-8
Munin, znany poprzednio jako serwer RRD Linpro, odpytuje wiele węzłów
i przetwarza dane przy użyciu RRDtoola, a następnie prezentuje je na
stronach WWW.

%package common
Summary:	Munin - the Linpro RRD data agent - common files
Summary(pl.UTF-8):	Munin - agent danych RRD Linpro - wspólne pliki
Group:		Daemons
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd

%description common
Munin, formerly known as The Linpro RRD server, queries a number of
nodes, and processes the data using RRDtool and presents it on web
pages.

%description common -l pl.UTF-8
Munin, znany poprzednio jako serwer RRD Linpro, odpytuje wiele węzłów
i przetwarza dane przy użyciu RRDtoola, a następnie prezentuje je na
stronach WWW.

%package node
Summary:	Linpro RRD data agent
Summary(pl.UTF-8):	Agent danych RRD Linpro
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}-%{release}
Requires:	logtool
#Requires:	perl-Config-General
Requires:	perl-Net-Netmask
Requires:	perl-Net-SNMP
Requires:	perl-Net-Server
Requires:	perl-libwww
Requires:	procps >= 2.0.7
Requires:	rc-scripts >= 0.4.0.15
Requires:	sysstat
Conflicts:	logrotate < 3.7-4

%description node
The Munin node package returns statistical data on the request of a
Munin server.

%description node -l pl.UTF-8
Pakiet Munin dla węzła zwraca dane statystyczne na żądanie serwera
Munin.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1

%if "%{_lib}" != "lib"
sed -i -e 's|/usr/lib/mailman|%{_libdir}/mailman|g' node/node.d/mailman.in
%endif

%build
%{__make} build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,cron.d,logrotate.d}
install -d $RPM_BUILD_ROOT/var/log/archive/munin

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/munin-node
install %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.d/munin
install %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/munin
install %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/munin-node

install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf

install dists/tarball/plugins.conf $RPM_BUILD_ROOT%{_sysconfdir}
ln -sf %{_sysconfdir}/plugins.conf $RPM_BUILD_ROOT%{_sysconfdir}/plugin-conf.d/munin-node

install server/style.css $RPM_BUILD_ROOT%{htmldir}/

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%apache_config_install -v 1 -c %{_sysconfdir}/apache.conf

%triggerun -- apache1 < 1.3.37-3, apache1-base
%apache_config_uninstall -v 1

%triggerin -- apache >= 2.0.0
%apache_config_install -v 2 -c %{_sysconfdir}/apache.conf

%triggerun -- apache >= 2.0.0
%apache_config_uninstall -v 2

%post node
if [ "$1" = "1" ] ; then
	/sbin/chkconfig --add munin-node
	%{_sbindir}/munin-node-configure --shell | sh
fi

%service munin-node restart "Munin Node agent"

%preun node
if [ "$1" = "0" ] ; then
	%service munin-node stop
	/sbin/chkconfig --del munin-node
fi

%pre common
%groupadd -g 158 munin
%useradd -o -u 158 -s /bin/false -g munin -c "Munin Node agent" -d /var/lib/munin munin

%postun common
if [ "$1" = "0" ]; then
	%userremove munin
	%groupremove munin
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/munin
%dir %{_sysconfdir}/templates
%{_sysconfdir}/templates/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/munin.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/munin
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(755,root,root) %{_sbindir}/munin-cron
%attr(755,root,root) %{_datadir}/munin/munin-graph
%attr(755,root,root) %{_datadir}/munin/munin-html
%attr(755,root,root) %{_datadir}/munin/munin-limits
%attr(755,root,root) %{_datadir}/munin/munin-update
%attr(755,munin,root) %dir %{htmldir}
%attr(644,munin,root) %{htmldir}/.htaccess
%attr(644,munin,root) %{htmldir}/favicon.ico
%attr(644,munin,root) %{htmldir}/style.css
%attr(755,munin,root) %dir %{_datadir}/munin/cgi
%attr(755,munin,root) %{_datadir}/munin/cgi/munin-cgi-graph
%{perl_vendorlib}/Munin.pm
%{_mandir}/man8/munin-graph*
%{_mandir}/man8/munin-update*
%{_mandir}/man8/munin-limits*
%{_mandir}/man8/munin-html*
%{_mandir}/man8/munin-cron*
%{_mandir}/man5/munin.conf*

%files common
%defattr(644,root,root,755)
%doc README ChangeLog logo* Checklist
%dir %{_sysconfdir}
%dir %{_datadir}/munin
%attr(750,munin,root) %dir /var/log/munin
%attr(750,munin,root) %dir /var/log/archive/munin
%attr(770,munin,munin) %dir /var/lib/munin

%files node
%defattr(644,root,root,755)
%dir %{_sysconfdir}/plugins
%dir %{_sysconfdir}/plugin-conf.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/munin-node.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/plugins.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/plugin-conf.d/munin-node
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/munin-node
%attr(754,root,root) /etc/rc.d/init.d/munin-node
%attr(755,root,root) %{_sbindir}/munin-run
%attr(755,root,root) %{_sbindir}/munin-node
%attr(755,root,root) %{_sbindir}/munin-node-configure
%attr(755,root,root) %{_sbindir}/munin-node-configure-snmp
%dir %{perl_vendorlib}/Munin
%{perl_vendorlib}/Munin/Plugin.pm
%dir %{_datadir}/munin/plugins
%attr(755,root,root) %{_datadir}/munin/plugins/*
%if !%{with sybase}
%exclude %{_datadir}/munin/plugins/sybase_space
%endif
%dir %attr(770,munin,munin) /var/lib/munin/plugin-state
%{_mandir}/man5/munin-node*
%{_mandir}/man8/munin-run*
%{_mandir}/man8/munin-node*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: munin.spec,v $
Revision 1.57  2008/11/30 23:59:50  baggins
- rel 4
- R rrdtool >= 1.3 and font package, do not package VeraMono.TTF
- all this fixes problems with unaligned legend in graphs made with rrdtool 1.3+

Revision 1.56  2008/11/30 17:06:08  baggins
- rel 3 now

Revision 1.55  2008/11/30 16:55:51  baggins
- back to rel 2.2

Revision 1.54  2008/11/30 16:55:25  baggins
- rel 3

Revision 1.53  2008/11/30 16:53:31  baggins
- try to fix sorting issues

Revision 1.52  2008/11/30 00:57:45  baggins
- rel 2

Revision 1.51  2008/11/29 19:59:56  qboosh
- even more general sed

Revision 1.50  2008/11/29 19:25:28  baggins
- fix mailman libdir

Revision 1.49  2008/04/04 09:29:58  zagrodzki
- updated to 1.3.4

Revision 1.48  2008-01-23 18:07:44  baggins
- rel 2
- fixed privs for ip_ plugin

Revision 1.47  2007/09/11 12:30:07  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.46  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.45  2007/09/04 11:04:21  baggins
- rel 1
- added missing dir

Revision 1.44  2007/04/02 16:55:17  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.43  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.41  2006/11/13 16:16:43  baggins
- updated plugins patch
- separated logrotate configs for client and server

Revision 1.40  2006/11/13 15:01:54  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.39  2006/11/10 16:49:04  baggins
- updated to 1.3.3

Revision 1.38  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.37  2006/09/08 18:04:07  glen
- rel 7 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.36  2006/04/14 15:21:12  glen
- rel 6

Revision 1.35  2006/03/05 14:51:20  glen
- use %service, adapterized, cosmetics

Revision 1.34  2006/01/05 12:23:09  baggins
- rel 5
- added archiv log dir

Revision 1.33  2006/01/03 13:08:46  baggins
- release 4
- more plugins cleaned up

Revision 1.32  2005/12/23 22:19:20  baggins
- release 3
- resolve incompatibilities with rrdtool 1.2

Revision 1.31  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.30  2005/11/08 18:33:26  baggins
- release 2
- added logrotate config

Revision 1.29  2005/10/10 21:00:53  baggins
- rel 1.6
- perl sucks

Revision 1.28  2005/10/10 20:47:53  baggins
- rel 1.5
- more plugins fixes

Revision 1.27  2005/10/09 19:18:35  baggins
- node R: proper rc-scripts

Revision 1.26  2005/10/09 19:16:14  baggins
- rel 1.4
- munin-run had also a problem with non-existant user/group

Revision 1.25  2005/10/09 18:45:08  baggins
- more plugins configured

Revision 1.24  2005/10/09 12:46:04  baggins
- rel 1.2
- more plugins config settings

Revision 1.23  2005/10/09 12:41:14  baggins
- don't stop reading plugins.conf on nonexistant user/group

Revision 1.22  2005/10/09 12:10:25  baggins
- rel 1.1
- more R:
- added plugins patch with plugins fixes and configs
- don't duplicate plugins configs (symlink is just enough)
- attr 640 for plugins config (passwords may be stored there, eg squid)

Revision 1.21  2005/10/07 15:24:31  baggins
- BR sed removed (duplicate wrt rpm-build)

Revision 1.20  2005/10/07 15:19:41  baggins
- BR sed

Revision 1.19  2005/10/07 14:13:02  glen
- no duplicate slash

Revision 1.18  2005/10/07 13:54:18  baggins
- killed make clean, it's not needed at all

Revision 1.17  2005/10/07 12:55:32  glen
- MAKELEVEL=1 to skip debian rules, build still broken without fakeroot

Revision 1.16  2005/10/07 12:29:17  glen
- BR fakeroot

Revision 1.15  2005/10/07 12:24:27  glen
- BR rpmmacros for %apache_config*, %useradd, %userdel
- unified perms for apache config

Revision 1.14  2005/10/07 12:11:47  baggins
- release 1
- proper apache* triggers

Revision 1.13  2005/10/07 09:23:51  baggins
- simplify build and install

Revision 1.12  2005/10/06 21:48:12  baggins
- added apache config and pre/post scripts
- simplify use of sysconfdir macro
- move html stuff to /home/services/httpd/html/munin

Revision 1.11  2005/10/06 17:28:43  baggins
- fix source numbers

Revision 1.10  2005/10/06 17:08:30  baggins
- added informative message about munin-node rc-script

Revision 1.9  2005/10/06 17:07:00  baggins
- fixed preun scriptlet
- added some R:

Revision 1.8  2005/10/06 16:58:50  baggins
- added common package
- FHS compliant
- general cleanup
- added sybase bcond

Revision 1.7  2005/10/06 05:52:41  qboosh
- pl, missing dirs

Revision 1.6  2005/10/05 19:18:34  glen
- typo; adapterized

Revision 1.5  2005/10/05 19:07:50  glen
- move cron scrit to sbin (no point filling user PATH with it)

Revision 1.4  2005/10/05 18:24:33  baggins
- cleaning up, NFY

Revision 1.3  2005/10/05 17:18:54  baggins
- source0 file name fix

Revision 1.2  2005/10/05 17:15:33  baggins
- fixed Source0 URL

Revision 1.1  2005/10/05 17:14:52  baggins
- initial revision
